Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class InhabitantType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.InhabitantType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class InhabitantType

extends Object
implements Serializable

minimal set of information about the person (with SSIN)

Java class for InhabitantType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InhabitantType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Name" type="{urn:be:fgov:ehealth:consultRN:1_0:core}NameType" minOccurs="0"/>
             <element name="Gender" type="{urn:be:fgov:ehealth:consultRN:1_0:core}GenderType" minOccurs="0"/>
             <element name="BirthDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InhabitantType()`

Method Summary
`String` | `getBirthDate()` Gets the value of the birthDate property.
`GenderType` | `getGender()` Gets the value of the gender property.
`NameType` | `getName()` Gets the value of the name property.
`String` | `getSSIN()` Gets the value of the ssin property.
`void` | `setBirthDate(String value)` Sets the value of the birthDate property.
`void` | `setGender(GenderType value)` Sets the value of the gender property.
`void` | `setName(NameType value)` Sets the value of the name property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InhabitantType

    public InhabitantType()

Method Detail

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public NameType getName()

  Gets the value of the name property.

  Returns:
    possible object is `NameType`

### setName

    public void setName(NameType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `NameType`

### getGender

    public GenderType getGender()

  Gets the value of the gender property.

  Returns:
    possible object is `GenderType`

### setGender

    public void setGender(GenderType value)

  Sets the value of the gender property.

  Parameters:
    `value` - allowed object is `GenderType`

### getBirthDate

    public String getBirthDate()

  Gets the value of the birthDate property.

  Returns:
    possible object is `String`

### setBirthDate

    public void setBirthDate(String value)

  Sets the value of the birthDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.